org.apache.commons.ssl

## Class OpenSSL.CipherInfo

- java.lang.Object
- - org.apache.commons.ssl.OpenSSL.CipherInfo

Enclosing class:
  OpenSSL

    public static class OpenSSL.CipherInfo
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `blockMode`
`boolean` `des2`
`int` `ivSize`
`java.lang.String` `javaCipher`
`int` `keySize`

### Constructor Summary

Constructors
Constructor and Description
`OpenSSL.CipherInfo(java.lang.String javaCipher, java.lang.String blockMode, int keySize, int ivSize, boolean des2)`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### javaCipher

    public final java.lang.String javaCipher

#### blockMode

    public final java.lang.String blockMode

#### keySize

    public final int keySize

#### ivSize

    public final int ivSize

#### des2

    public final boolean des2

### Constructor Detail

#### OpenSSL.CipherInfo

    public OpenSSL.CipherInfo(java.lang.String javaCipher,
                      java.lang.String blockMode,
                      int keySize,
                      int ivSize,
                      boolean des2)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`